import { StateType, TargetType } from '../interfaces/enums';
import { ActionManager } from '../manager/action.manager';
import { StreamDeckHandlerBase } from './stream-deck-handler-base';
export declare abstract class StreamDeckPluginHandler<GlobalSettings = any> extends StreamDeckHandlerBase<GlobalSettings> {
    private readonly _actionManager;
    protected constructor();
    get actionManager(): ActionManager;
    setTitle(title: string, context: string, target?: TargetType, state?: StateType): void;
    setImage(image: string, context: string, target?: TargetType, state?: StateType): void;
    setImageFromUrl(url: string, context: string, target?: TargetType, state?: StateType): Promise<string>;
    showAlert(context: string): void;
    showOk(context: string): void;
    setState(state: StateType, context: string): void;
    switchToProfile(profile: string, device?: string): void;
    sendToPropertyInspector(payload: any, action: string, context: string): void;
    protected _eventHandler(ev: MessageEvent): void;
    setFeedback(context: string, payload: any): void;
    setFeedbackLayout(context: string, layout: string): void;
}
